Subject: Add generic data-* attribute
Description

All elements in HTML5 can have any number of data-* attributes.
This should be made easier to use than with the additionalAttributes property.

Example:

<f:link.action data="{loading-text: 'loading...'}" action="create">create a new foo</f:link.action>

Related issues:
related to TYPO3.Fluid - Bug # 38592: attributes with dashes lead to wrong ex... Resolved 2012-07-03
related to Core - Feature # 61351: Add generic data-* attribute Resolved 2014-09-04
related to Core - Feature # 61171: Add generic data-* attribute Closed 2014-08-25
duplicated by TYPO3.Fluid - Feature # 49305: Support for Data Attributes in t... Closed 2013-06-21

Associated revisions
Revision 8f7bd506 - 2013-12-18 16:07 - Julian Wachholz

[FEATURE] Add generic data-* attribute

All elements in HTML5 can have any number of data-* attributes.
This additional array attribute on tag bases viewhelpers makes
it easier to add several data-* attributes to them::

&lt;f:form.textfield data="{foo: 'bar', baz: 'foos'}" /&gt;

Will render::
&lt;input data-foo="bar" data-baz="foos" ...

Change-Id: I3187e9a8d2c97f0518893a633bc773bacb624ca5
Resolves: #35748
Releases: master

History
#1 - 2012-04-06 16:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10184

#2 - 2012-06-03 02:54 - Gerrit Code Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11803

#3 - 2012-06-03 02:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10184

#4 - 2013-12-18 16:06 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

No feedback, taking over

#5 - 2013-12-18 16:07 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/10184

#6 - 2013-12-18 16:40 - Julian Wachholz
- Status changed from Under Review to Resolved

Applied in changeset commit:8f7bd506e06e62c4f28428f47d14a4e4f9ea8977.
